# Uses of Interface
org.apache.sling.discovery.TopologyView

## Uses of TopologyView in org.apache.sling.discovery

Methods in org.apache.sling.discovery that return TopologyView
Modifier and Type
Method
Description
`TopologyView`
TopologyEvent.`getNewView()`
Returns the view which is currently (i.e. newly) valid.
`TopologyView`
TopologyEvent.`getOldView()`
Returns the view which was valid up until now.
`TopologyView`
DiscoveryService.`getTopology()`
Returns the topology that was last discovered by this service.
Constructors in org.apache.sling.discovery with parameters of type TopologyView
Modifier
Constructor
Description
``
`TopologyEvent(TopologyEvent.Type type, TopologyView oldView, TopologyView newView)`